opendmarc-expire(8)

NAME
opendmarc-expire - OpenDMARC history data expiration tool

SYNOPSIS
opendmarc-expire [options]

DESCRIPTION
opendmarc-expire expires old records from the database that is part of the OpenDMARC aggregate reporting feature.

OPTIONS

--alltables
    Expire records in all tables rather than only the large ones.

--dbhost=host
    Attempts to connect to the database server on the named host. The default is "localhost".

--dbname=name
    Requests a connection to the database called name. The default is "opendmarc".

--dbpasswd=password
    Attempts to authenticate to the database server using the specified password. The default is "opendmarc".

--dbport=port
    Tries to connect to the database at the specified TCP port. The default is 3306.

--dbuser=user
    Attempts to authenticate to the database server as the specified user. The default is "opendmarc".

--expire=days
    Indicates the number of days of data to keep. The default is 180.

--help
    Prints a usage message and exits.

--verbose
    Requests verbose output.

--version
    Prints version number and exits.

VERSION
This man page covers the version of opendmarc-expire that shipped with version 1.4.2 of OpenDMARC.

COPYRIGHT
Copyright (c) 2012, 2014, The Trusted Domain Project. All rights reserved.

SEE ALSO
opendmarc(8), opendmarc-import(8)